org.deidentifier.arx.gui.model

## Enum ModelTransformationMode

- java.lang.Object
- - java.lang.Enum<ModelTransformationMode>
  - - org.deidentifier.arx.gui.model.ModelTransformationMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ModelTransformationMode>

    public enum ModelTransformationMode
    extends java.lang.Enum<ModelTransformationMode>

The transformation mode associated with an attribute

Author:
  Fabian Prasser

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLUSTERING_AND_MICRO_AGGREGATION`
`GENERALIZATION`
`MICRO_AGGREGATION`

### Method Summary

All Methods Static Methods Concrete Methods
`static ModelTransformationMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ModelTransformationMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GENERALIZATION

    public static final ModelTransformationMode GENERALIZATION

#### MICRO_AGGREGATION

    public static final ModelTransformationMode MICRO_AGGREGATION

#### CLUSTERING_AND_MICRO_AGGREGATION

    public static final ModelTransformationMode CLUSTERING_AND_MICRO_AGGREGATION

### Method Detail

#### values

    public static ModelTransformationMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ModelTransformationMode c : ModelTransformationMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ModelTransformationMode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null